Bug 40031 - [Regression] testdisplay can't display correctly with 30 bpp
Summary: [Regression] testdisplay can't display correctly with 30 bpp
Status: CLOSED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Jesse Barnes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-12 00:55 UTC by Yi Sun
Modified: 2017-10-06 14:52 UTC (History)
4 users (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yi Sun 2011-08-12 00:55:47 UTC
System Environment:
-------------------
Platform: Ironlake (Lenovo T410)

Kernel: (drm-intel-fixes)d7d39e20cc5e44f915d6c5687f65839632c44381
Some additional commit info:
Author: Jesse Barnes <jbarnes@virtuousgeek.org>
Date:   Wed Aug 3 12:59:21 2011 -0700

    drm/i915: enable/disable spread spectrum as needed on mode set

Bug Description:
---------------------
While running the testdisplay with the parameater -d 30, the screen is mess. The monitor port is DP.

The good commit is :
Kernel: (drm-intel-fixes)4e6343898fe7eed6b3c0c3c809347bc88d5b4a1e
Some additional commit info:
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Aug 6 10:39:45 2011 -0700

    drm/i915: Remove unused 'reg' argument to dp_pipe_enabled
Comment 1 Yi Sun 2011-08-12 00:57:00 UTC
The issue also can be reproduced on G45 platform.
Comment 2 Daniel Vetter 2012-02-14 11:42:29 UTC
Can you please recheck with latest -testing whether this is still an issue? The dp bw calculation fixes stand a good change to resolve this issue here.
Comment 3 Yi Sun 2012-02-14 22:58:48 UTC
Indeed, the issue is gone with the latest -testing branch.
Comment 4 Elizabeth 2017-10-06 14:52:07 UTC
Closing old verified.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct.